=== modified file 'drizzled/session.h'
--- drizzled/session.h	2009-11-16 17:46:51 +0000
+++ drizzled/session.h	2009-11-17 00:27:52 +0000
@@ -1472,7 +1472,7 @@
   int drop_temporary_table(TableList *table_list);
   bool rm_temporary_table(drizzled::plugin::StorageEngine *base, char *path);
   Table *open_temporary_table(const char *path, const char *db,
-                              const char *table_name, bool link_in_list);
+                              const char *table_name, bool link_in_list= true);
   
   /* Reopen operations */
   bool reopen_tables(bool get_locks, bool mark_share_as_old);

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2009-11-16 17:46:51 +0000
+++ drizzled/sql_base.cc	2009-11-17 00:27:52 +0000
@@ -1094,7 +1094,7 @@
 
 Table *Session::openTable(TableList *table_list, bool *refresh, uint32_t flags)
 {
-  register Table *table;
+  Table *table;
   char key[MAX_DBKEY_LENGTH];
   unsigned int key_length;
   const char *alias= table_list->alias;

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2009-11-16 23:57:07 +0000
+++ drizzled/sql_table.cc	2009-11-17 00:27:52 +0000
@@ -1760,7 +1760,7 @@
   if (create_info->options & HA_LEX_CREATE_TMP_TABLE)
   {
     /* Open table and put in temporary table list */
-    if (!(session->open_temporary_table(path, db, table_name, true)))
+    if (!(session->open_temporary_table(path, db, table_name)))
     {
       (void) session->rm_temporary_table(create_info->db_type, path);
       goto unlock_and_end;
@@ -2511,7 +2511,7 @@
 
   if (create_info->options & HA_LEX_CREATE_TMP_TABLE)
   {
-    if (err || !session->open_temporary_table(dst_path, db, table_name, true))
+    if (err || !session->open_temporary_table(dst_path, db, table_name))
     {
       (void) session->rm_temporary_table(create_info->db_type, dst_path);
       goto err;

